{
    onStart(pokemon) {
      this.singleEvent("TerrainChange", this.effect, this.effectState, pokemon);
    },
    onTerrainChange(pokemon) {
      if (this.field.isTerrain("electricterrain")) {
      this.add('-activate', pokemon, 'Surge Deluge');
        this.boost({ spd: 1 }, pokemon);
    this.add(`${pokemon.name}'s Surge Deluge started until Electric Terrain ends!`);
      }
    },
    onTryHit(target, source, move) {
      if (this.field.isTerrain("electricterrain"))
      if (target !== source && move.type === "Ground") {
        move.accuracy = true;{
         this.add("-immune", target, "[from] ability: Surge Deluge");
        }
        return null;
      }
    },
    onEnd(pokemon) {
      delete pokemon.volatiles["surgedeluge"];
      this.add("-end", pokemon, "Surge Deluge", "[silent]");
    },
    flags: {},
    name: "Surge Deluge",
    rating: 3,
    num: -207
  }